<html>
<head>
<title>OgreBillboardSet.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreBillboardSet.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&quot;</code><br/>
</div>
<p><a href="OgreBillboardSet_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardSet.html">Ogre::BillboardSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A collection of billboards (faces which are always facing the given direction) with the same (default) dimensions, material and which are fairly close proximity to each other.  <a href="classOgre_1_1BillboardSet.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html">Ogre::BillboardSet::SortByDirectionFunctor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort by direction functor.  <a href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html">Ogre::BillboardSet::SortByDistanceFunctor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort by distance functor.  <a href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardSetFactory.html">Ogre::BillboardSetFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory object for creating <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a> instances.  <a href="classOgre_1_1BillboardSetFactory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Effects.html#ga37abc46b1f74f855e13334aa44f4ec5e">Ogre::BillboardOrigin</a> { <br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea2f0d9a0c7a6232a62819ba5f8088ce41">Ogre::BBO_TOP_LEFT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5eaec907934218991032b9b5f34a2d0d612">Ogre::BBO_TOP_CENTER</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea183e54039d91c27835e5f7a066f8e485">Ogre::BBO_TOP_RIGHT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea306c93ed76b358c9d6aef5b6ff413857">Ogre::BBO_CENTER_LEFT</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5eab17acd1195e321856b4e5a91ccb300a4">Ogre::BBO_CENTER</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea4456ff76b26ecc97f3c34c2c709cf47b">Ogre::BBO_CENTER_RIGHT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea6434f4b60d73ffb70c9ceefd1b5595dc">Ogre::BBO_BOTTOM_LEFT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea928ae6264de474f12e6e3ca00419ae2b">Ogre::BBO_BOTTOM_CENTER</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5eab67c73db2cf842dee641805c415901cb">Ogre::BBO_BOTTOM_RIGHT</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum covering what exactly a billboard's position means (center, top-left etc).  <a href="group__Effects.html#ga37abc46b1f74f855e13334aa44f4ec5e">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Effects.html#ga4f3a37a5b62f0a2ddda53f789e736cbd">Ogre::BillboardRotationType</a> { <a class="el" href="group__Effects.html#gga4f3a37a5b62f0a2ddda53f789e736cbda6a7f6b74eba56f5035dab96d94b07cad">Ogre::BBR_VERTEX</a>, 
<a class="el" href="group__Effects.html#gga4f3a37a5b62f0a2ddda53f789e736cbdafc76d69a1ee25ad91871544eca2ca03f">Ogre::BBR_TEXCOORD</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The rotation type of billboard.  <a href="group__Effects.html#ga4f3a37a5b62f0a2ddda53f789e736cbd">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Effects.html#ga8a7bd8c019e0d8e7049e855847af2a1c">Ogre::BillboardType</a> { <br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1caafd0ef3ee3353703249e160930424b7d">Ogre::BBT_POINT</a>, 
<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1cacfc7dcc9adc26c7b19c0a7047ee5ec1b">Ogre::BBT_ORIENTED_COMMON</a>, 
<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1cabffcbe8d1e5e7d545d8f33762db75176">Ogre::BBT_ORIENTED_SELF</a>, 
<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1ca9f88ba12ab6dd77447b73a0272147a4f">Ogre::BBT_PERPENDICULAR_COMMON</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1cab4c7cffc09bcc71b32cb6b4e5f758ee6">Ogre::BBT_PERPENDICULAR_SELF</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of billboard to use.  <a href="group__Effects.html#ga8a7bd8c019e0d8e7049e855847af2a1c">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
